summaryrefslogtreecommitdiff
path: root/packaging/ubuntu-mantic/exchange-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/ubuntu-mantic/exchange-build.sh')
-rw-r--r--packaging/ubuntu-mantic/exchange-build.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/packaging/ubuntu-mantic/exchange-build.sh b/packaging/ubuntu-mantic/exchange-build.sh
new file mode 100644
index 0000000..a94a003
--- /dev/null
+++ b/packaging/ubuntu-mantic/exchange-build.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+mkdir -p /build/taler
+cd /build/taler
+
+export CC=gcc-12
+# Fetch source
+rm -rf *
+
+pip3 install --break-system-packages htmlark
+
+git clone git://git.taler.net/exchange
+cd exchange
+git checkout $1
+./bootstrap
+dpkg-buildpackage -rfakeroot -b -uc -us
+cd ..
+dpkg -i *.deb
+
+tar uvf ../packages.tgz *.deb
+cd ..